com.aliyun.svideosdk.common.struct.recorder

## Enum FlashType

- java.lang.Object
- - java.lang.Enum<FlashType>
  - - com.aliyun.svideosdk.common.struct.recorder.FlashType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FlashType>

      public enum FlashType
      extends java.lang.Enum<FlashType>

  闪光灯类型

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` 自动
    `OFF` 关闭
    `ON` 只闪一下
    `TORCH` 手电筒

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static FlashType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FlashType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final FlashType OFF

      关闭

    - #### ON

          public static final FlashType ON

      只闪一下

    - #### AUTO

          public static final FlashType AUTO

      自动

    - #### TORCH

          public static final FlashType TORCH

      手电筒

  - ### Method Detail

    - #### values

          public static FlashType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlashType c : FlashType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlashType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<FlashType>`